.slick-prev:before, .slick-next:before {
    color: #0062cc !important;
}
.slick-dots li button:before {
    color: #0062cc !important;
}
.slick-dots li.slick-active button:before {
    color: #0062cc !important;
}
/*.slick-track {
    margin-left: auto;
    margin-right: auto;
}*/
.flash {
    -webkit-animation-name: flash;
    animation-name: flash;
    -webkit-animation-duration: 1.5s;
    animation-duration: 1.5s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    animation-iteration-count: infinite;
}

@-webkit-keyframes flash {
    0%, 50%, 100% {
        opacity: 1;
    }

    25%, 75% {
        opacity: 0;
    }
}

@keyframes flash {
    0%, 50%, 100% {
        opacity: 1;
    }

    25%, 75% {
        opacity: 0;
    }
}

a {
    text-decoration: none !important;
}

.pac-container.pac-logo {
    z-index: 1500 !important;
}

.timeline {
    margin: 0 0 45px;
    padding: 0;
    position: relative;
}

    .timeline::before {
        border-radius: 0.25rem;
        background-color: #dee2e6;
        bottom: 0;
        content: "";
        left: 31px;
        margin: 0;
        position: absolute;
        top: 0;
        width: 4px;
    }

    .timeline > div {
        margin-bottom: 15px;
        margin-right: 10px;
        position: relative;
    }

        .timeline > div::before, .timeline > div::after {
            content: "";
            display: table;
        }

        .timeline > div > .timeline-item {
            box-shadow: 0 0 1px rgba(0, 0, 0, 0.125), 0 1px 3px rgba(0, 0, 0, 0.2);
            border-radius: 0.25rem;
            background-color: #fff;
            color: #495057;
            margin-left: 60px;
            margin-right: 15px;
            margin-top: 0;
            padding: 0;
            position: relative;
        }

            .timeline > div > .timeline-item > .time {
                color: #999;
                float: right;
                font-size: 12px;
                padding: 10px;
            }

            .timeline > div > .timeline-item > .timeline-header {
                border-bottom: 1px solid rgba(0, 0, 0, 0.125);
                color: #495057;
                font-size: 16px;
                line-height: 1.1;
                margin: 0;
                padding: 10px;
            }

                .timeline > div > .timeline-item > .timeline-header > a {
                    font-weight: 600;
                }

            .timeline > div > .timeline-item > .timeline-body,
            .timeline > div > .timeline-item > .timeline-footer {
                padding: 10px;
            }

                .timeline > div > .timeline-item > .timeline-body > img {
                    margin: 10px;
                }

                .timeline > div > .timeline-item > .timeline-body > dl,
                .timeline > div > .timeline-item > .timeline-body ol,
                .timeline > div > .timeline-item > .timeline-body ul {
                    margin: 0;
                }

                .timeline > div > .timeline-item > .timeline-footer > a {
                    color: #fff;
                }

        .timeline > div > .fa,
        .timeline > div > .fas,
        .timeline > div > .far,
        .timeline > div > .fab,
        .timeline > div > .fal,
        .timeline > div > .fad,
        .timeline > div > .svg-inline--fa,
        .timeline > div > .ion {
            background-color: #adb5bd;
            border-radius: 50%;
            font-size: 16px;
            height: 30px;
            left: 18px;
            line-height: 30px;
            position: absolute;
            text-align: center;
            top: 0;
            width: 30px;
        }

        .timeline > div > .svg-inline--fa {
            padding: 7px;
        }

    .timeline > .time-label > span {
        border-radius: 4px;
        background-color: #fff;
        display: inline-block;
        font-weight: 600;
        padding: 5px;
    }

.timeline-inverse > div > .timeline-item {
    box-shadow: none;
    background-color: #f8f9fa;
    border: 1px solid #dee2e6;
}

    .timeline-inverse > div > .timeline-item > .timeline-header {
        border-bottom-color: #dee2e6;
    }

.dark-mode .timeline::before {
    background-color: #6c757d;
}

.dark-mode .timeline > div > .timeline-item {
    background-color: #343a40;
    color: #fff;
    border-color: #6c757d;
}

    .dark-mode .timeline > div > .timeline-item > .timeline-header {
        color: #ced4da;
        border-color: #6c757d;
    }

    .dark-mode .timeline > div > .timeline-item > .time {
        color: #ced4da;
    }

.modal-title {
    font-size: 1.25rem !important;
}

.form-group.row > label + div:has(> .flatpickr-wrapper) {
    position: relative;
}

.b-is-autocomplete.b-is-autocomplete-multipleselection > .badge {
    text-overflow: inherit !important;
    word-wrap: break-word !important;
    white-space: normal !important
}

.bg-jsp {
    background-color: #64114e !important;
    border-color: #64114e !important;
    color: white !important;
}

    .bg-jsp:hover {
        background-color: #6d1255 !important;
        border-color: #64114e !important;
        color: white !important;
    }


.pwa-updater {
    z-index: 5000 !important
}

.card {
    margin-bottom: 1rem;
}

    .card.collapsed-card .card-body, .card.collapsed-card .card-footer {
        display: none
    }

.pagination {
    flex-wrap: wrap !important;
}

.card-tools > .btn {
    color: unset !important;
}

.badge-close {
    margin-left: .25rem !important;
}

.fc-toolbar {
    text-transform: uppercase;
}

.fc .fc-daygrid-day-number {
    text-decoration: unset !important;
}

.fc-event {
    border: none !important;
}

.fc-day-today {
    background: transparent !important;
    border: none !important;
    border-top: 1px solid #ddd !important;
    font-weight: bold;
    color: black !important
}

.ui-autocomplete {
    z-index: 1100 !important;
}

.btn-circle.btn-xl {
    width: 70px;
    height: 70px;
    padding: 10px 16px;
    border-radius: 35px !important;
    font-size: 24px;
    line-height: 1.33;
}

.btn-circle {
    width: 30px;
    height: 30px;
    padding: 6px 0px;
    border-radius: 15px !important;
    text-align: center;
    font-size: 12px;
    line-height: 1.42857;
}

.card-header {
    background-color: transparent;
    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
    padding: 0.75rem 1.25rem;
    position: relative;
    border-top-left-radius: 0.25rem;
    border-top-right-radius: 0.25rem;
}

.collapsed-card .card-header {
    border-bottom: 0;
}

.card-tools > .btn:active {
    border: none;
}

.card-header > .card-tools {
    float: right;
    margin-right: -0.625rem;
}

    .card-header > .card-tools .input-group,
    .card-header > .card-tools .nav,
    .card-header > .card-tools .pagination {
        margin-bottom: -0.3rem;
        margin-top: -0.3rem;
    }

    .card-header > .card-tools [data-toggle="tooltip"] {
        position: relative;
    }

.card-title {
    float: unset;
    font-size: 1.1rem;
    font-weight: 400;
    margin: 0;
}

.card-text {
    clear: both;
}

.btn-tool {
    background-color: transparent;
    color: #adb5bd;
    font-size: 0.875rem;
    margin: -0.75rem 0;
    padding: .25rem .5rem;
}

    .btn-group.show .btn-tool, .btn-tool:hover {
        color: #495057;
    }

    .show .btn-tool, .btn-tool:focus {
        box-shadow: none !important;
    }

.btn-default {
    background-color: #f8f9fa;
    border-color: #ddd;
    color: #444;
}

    .btn-default:hover, .btn-default:active, .btn-default.hover {
        background-color: #e9ecef;
        color: #2b2b2b;
    }

    .btn-default.disabled, .btn-default:disabled {
        color: #444;
        background-color: #f8f9fa;
    }

.bg-primary,
.bg-primary > a {
    color: #fff !important;
}

    .bg-primary.btn:hover {
        border-color: #0062cc;
        color: #ececec;
    }

    .bg-primary.btn:not(:disabled):not(.disabled):active, .bg-primary.btn:not(:disabled):not(.disabled).active, .bg-primary.btn:active, .bg-primary.btn.active {
        background-color: #0062cc !important;
        border-color: #005cbf;
        color: #fff;
    }

.bg-secondary {
    background-color: #6c757d !important;
}

    .bg-secondary,
    .bg-secondary > a {
        color: #fff !important;
    }

        .bg-secondary.btn:hover {
            border-color: #545b62;
            color: #ececec;
        }

        .bg-secondary.btn:not(:disabled):not(.disabled):active, .bg-secondary.btn:not(:disabled):not(.disabled).active, .bg-secondary.btn:active, .bg-secondary.btn.active {
            background-color: #545b62 !important;
            border-color: #4e555b;
            color: #fff;
        }

.bg-success {
    background-color: #28a745 !important;
}

    .bg-success,
    .bg-success > a {
        color: #fff !important;
    }

        .bg-success.btn:hover {
            border-color: #1e7e34;
            color: #ececec;
        }

        .bg-success.btn:not(:disabled):not(.disabled):active, .bg-success.btn:not(:disabled):not(.disabled).active, .bg-success.btn:active, .bg-success.btn.active {
            background-color: #1e7e34 !important;
            border-color: #1c7430;
            color: #fff;
        }

.bg-info {
    background-color: #17a2b8 !important;
}

    .bg-info,
    .bg-info > a {
        color: #fff !important;
    }

        .bg-info.btn:hover {
            border-color: #117a8b;
            color: #ececec;
        }

        .bg-info.btn:not(:disabled):not(.disabled):active, .bg-info.btn:not(:disabled):not(.disabled).active, .bg-info.btn:active, .bg-info.btn.active {
            background-color: #117a8b !important;
            border-color: #10707f;
            color: #fff;
        }

.bg-warning {
    background-color: #ffc107 !important;
}

    .bg-warning,
    .bg-warning > a {
        color: #1f2d3d !important;
    }

        .bg-warning.btn:hover {
            border-color: #d39e00;
            color: #121a24;
        }

        .bg-warning.btn:not(:disabled):not(.disabled):active, .bg-warning.btn:not(:disabled):not(.disabled).active, .bg-warning.btn:active, .bg-warning.btn.active {
            background-color: #d39e00 !important;
            border-color: #c69500;
            color: #1f2d3d;
        }

.bg-danger {
    background-color: #dc3545 !important;
}

    .bg-danger,
    .bg-danger > a {
        color: #fff !important;
    }

        .bg-danger.btn:hover {
            border-color: #bd2130;
            color: #ececec;
        }

        .bg-danger.btn:not(:disabled):not(.disabled):active, .bg-danger.btn:not(:disabled):not(.disabled).active, .bg-danger.btn:active, .bg-danger.btn.active {
            background-color: #bd2130 !important;
            border-color: #b21f2d;
            color: #fff;
        }

.bg-light {
    background-color: #f8f9fa !important;
}

    .bg-light,
    .bg-light > a {
        color: #1f2d3d !important;
    }

        .bg-light.btn:hover {
            border-color: #dae0e5;
            color: #121a24;
        }

        .bg-light.btn:not(:disabled):not(.disabled):active, .bg-light.btn:not(:disabled):not(.disabled).active, .bg-light.btn:active, .bg-light.btn.active {
            background-color: #dae0e5 !important;
            border-color: #d3d9df;
            color: #1f2d3d;
        }

.bg-dark {
    background-color: #343a40 !important;
}



    .bg-dark.btn:hover {
        border-color: #1d2124;
        color: #ececec;
    }

    .bg-dark.btn:not(:disabled):not(.disabled):active, .bg-dark.btn:not(:disabled):not(.disabled).active, .bg-dark.btn:active, .bg-dark.btn.active {
        background-color: #1d2124 !important;
        border-color: #171a1d;
        color: #fff;
    }

.bg-lightblue {
    background-color: #3c8dbc !important;
}

    .bg-lightblue,
    .bg-lightblue > a {
        color: #fff !important;
    }

        .bg-lightblue.btn:hover {
            border-color: #307095;
            color: #ececec;
        }

        .bg-lightblue.btn:not(:disabled):not(.disabled):active, .bg-lightblue.btn:not(:disabled):not(.disabled).active, .bg-lightblue.btn:active, .bg-lightblue.btn.active {
            background-color: #307095 !important;
            border-color: #2d698c;
            color: #fff;
        }

.bg-navy {
    background-color: #001f3f !important;
}

    .bg-navy,
    .bg-navy > a {
        color: #fff !important;
    }

        .bg-navy.btn:hover {
            border-color: #00060c;
            color: #ececec;
        }

        .bg-navy.btn:not(:disabled):not(.disabled):active, .bg-navy.btn:not(:disabled):not(.disabled).active, .bg-navy.btn:active, .bg-navy.btn.active {
            background-color: #00060c !important;
            border-color: black;
            color: #fff;
        }

.bg-olive {
    background-color: #3d9970 !important;
}

    .bg-olive,
    .bg-olive > a {
        color: #fff !important;
    }

        .bg-olive.btn:hover {
            border-color: #2e7555;
            color: #ececec;
        }

        .bg-olive.btn:not(:disabled):not(.disabled):active, .bg-olive.btn:not(:disabled):not(.disabled).active, .bg-olive.btn:active, .bg-olive.btn.active {
            background-color: #2e7555 !important;
            border-color: #2b6b4f;
            color: #fff;
        }

.bg-lime {
    background-color: #01ff70 !important;
}

    .bg-lime,
    .bg-lime > a {
        color: #1f2d3d !important;
    }

        .bg-lime.btn:hover {
            border-color: #00cd5a;
            color: #121a24;
        }

        .bg-lime.btn:not(:disabled):not(.disabled):active, .bg-lime.btn:not(:disabled):not(.disabled).active, .bg-lime.btn:active, .bg-lime.btn.active {
            background-color: #00cd5a !important;
            border-color: #00c054;
            color: #fff;
        }

.bg-fuchsia {
    background-color: #f012be !important;
}

    .bg-fuchsia,
    .bg-fuchsia > a {
        color: #fff !important;
    }

        .bg-fuchsia.btn:hover {
            border-color: #c30c9a;
            color: #ececec;
        }

        .bg-fuchsia.btn:not(:disabled):not(.disabled):active, .bg-fuchsia.btn:not(:disabled):not(.disabled).active, .bg-fuchsia.btn:active, .bg-fuchsia.btn.active {
            background-color: #c30c9a !important;
            border-color: #b70c90;
            color: #fff;
        }

.bg-maroon {
    background-color: #d81b60 !important;
}

    .bg-maroon,
    .bg-maroon > a {
        color: #fff !important;
    }

        .bg-maroon.btn:hover {
            border-color: #ab154c;
            color: #ececec;
        }

        .bg-maroon.btn:not(:disabled):not(.disabled):active, .bg-maroon.btn:not(:disabled):not(.disabled).active, .bg-maroon.btn:active, .bg-maroon.btn.active {
            background-color: #ab154c !important;
            border-color: #9f1447;
            color: #fff;
        }

.bg-blue {
    background-color: #007bff !important;
}

    .bg-blue,
    .bg-blue > a {
        color: #fff !important;
    }

        .bg-blue.btn:hover {
            border-color: #0062cc;
            color: #ececec;
        }

        .bg-blue.btn:not(:disabled):not(.disabled):active, .bg-blue.btn:not(:disabled):not(.disabled).active, .bg-blue.btn:active, .bg-blue.btn.active {
            background-color: #0062cc !important;
            border-color: #005cbf;
            color: #fff;
        }

.bg-indigo {
    background-color: #6610f2 !important;
}

    .bg-indigo,
    .bg-indigo > a {
        color: #fff !important;
    }

        .bg-indigo.btn:hover {
            border-color: #510bc4;
            color: #ececec;
        }

        .bg-indigo.btn:not(:disabled):not(.disabled):active, .bg-indigo.btn:not(:disabled):not(.disabled).active, .bg-indigo.btn:active, .bg-indigo.btn.active {
            background-color: #510bc4 !important;
            border-color: #4c0ab8;
            color: #fff;
        }

.bg-purple {
    background-color: #6f42c1 !important;
}

    .bg-purple,
    .bg-purple > a {
        color: #fff !important;
    }

        .bg-purple.btn:hover {
            border-color: #59339d;
            color: #ececec;
        }

        .bg-purple.btn:not(:disabled):not(.disabled):active, .bg-purple.btn:not(:disabled):not(.disabled).active, .bg-purple.btn:active, .bg-purple.btn.active {
            background-color: #59339d !important;
            border-color: #533093;
            color: #fff;
        }

.bg-pink {
    background-color: #e83e8c !important;
}

    .bg-pink,
    .bg-pink > a {
        color: #fff !important;
    }

        .bg-pink.btn:hover {
            border-color: #d91a72;
            color: #ececec;
        }

        .bg-pink.btn:not(:disabled):not(.disabled):active, .bg-pink.btn:not(:disabled):not(.disabled).active, .bg-pink.btn:active, .bg-pink.btn.active {
            background-color: #d91a72 !important;
            border-color: #ce196c;
            color: #fff;
        }

.bg-red {
    background-color: #dc3545 !important;
}

    .bg-red,
    .bg-red > a {
        color: #fff !important;
    }

        .bg-red.btn:hover {
            border-color: #bd2130;
            color: #ececec;
        }

        .bg-red.btn:not(:disabled):not(.disabled):active, .bg-red.btn:not(:disabled):not(.disabled).active, .bg-red.btn:active, .bg-red.btn.active {
            background-color: #bd2130 !important;
            border-color: #b21f2d;
            color: #fff;
        }

.bg-orange {
    background-color: #fd7e14 !important;
}

    .bg-orange,
    .bg-orange > a {
        color: #1f2d3d !important;
    }

        .bg-orange.btn:hover {
            border-color: #dc6502;
            color: #121a24;
        }

        .bg-orange.btn:not(:disabled):not(.disabled):active, .bg-orange.btn:not(:disabled):not(.disabled).active, .bg-orange.btn:active, .bg-orange.btn.active {
            background-color: #dc6502 !important;
            border-color: #cf5f02;
            color: #fff;
        }

.bg-yellow {
    background-color: #ffc107 !important;
}

    .bg-yellow,
    .bg-yellow > a {
        color: #1f2d3d !important;
    }

        .bg-yellow.btn:hover {
            border-color: #d39e00;
            color: #121a24;
        }

        .bg-yellow.btn:not(:disabled):not(.disabled):active, .bg-yellow.btn:not(:disabled):not(.disabled).active, .bg-yellow.btn:active, .bg-yellow.btn.active {
            background-color: #d39e00 !important;
            border-color: #c69500;
            color: #1f2d3d;
        }

.bg-green {
    background-color: #28a745 !important;
}

    .bg-green,
    .bg-green > a {
        color: #fff !important;
    }

        .bg-green.btn:hover {
            border-color: #1e7e34;
            color: #ececec;
        }

        .bg-green.btn:not(:disabled):not(.disabled):active, .bg-green.btn:not(:disabled):not(.disabled).active, .bg-green.btn:active, .bg-green.btn.active {
            background-color: #1e7e34 !important;
            border-color: #1c7430;
            color: #fff;
        }

.bg-teal {
    background-color: #20c997 !important;
}

    .bg-teal,
    .bg-teal > a {
        color: #fff !important;
    }

        .bg-teal.btn:hover {
            border-color: #199d76;
            color: #ececec;
        }

        .bg-teal.btn:not(:disabled):not(.disabled):active, .bg-teal.btn:not(:disabled):not(.disabled).active, .bg-teal.btn:active, .bg-teal.btn.active {
            background-color: #199d76 !important;
            border-color: #17926e;
            color: #fff;
        }

.bg-cyan {
    background-color: #17a2b8 !important;
}

    .bg-cyan,
    .bg-cyan > a {
        color: #fff !important;
    }

        .bg-cyan.btn:hover {
            border-color: #117a8b;
            color: #ececec;
        }

        .bg-cyan.btn:not(:disabled):not(.disabled):active, .bg-cyan.btn:not(:disabled):not(.disabled).active, .bg-cyan.btn:active, .bg-cyan.btn.active {
            background-color: #117a8b !important;
            border-color: #10707f;
            color: #fff;
        }

.bg-white {
    background-color: #fff !important;
}

    .bg-white,
    .bg-white > a {
        color: #1f2d3d !important;
    }

        .bg-white.btn:hover {
            border-color: #e6e6e6;
            color: #121a24;
        }

        .bg-white.btn:not(:disabled):not(.disabled):active, .bg-white.btn:not(:disabled):not(.disabled).active, .bg-white.btn:active, .bg-white.btn.active {
            background-color: #e6e6e6 !important;
            border-color: #dfdfdf;
            color: #1f2d3d;
        }

.bg-gray {
    background-color: #6c757d !important;
}

    .bg-gray,
    .bg-gray > a {
        color: #fff !important;
    }

        .bg-gray.btn:hover {
            border-color: #545b62;
            color: #ececec;
        }

        .bg-gray.btn:not(:disabled):not(.disabled):active, .bg-gray.btn:not(:disabled):not(.disabled).active, .bg-gray.btn:active, .bg-gray.btn.active {
            background-color: #545b62 !important;
            border-color: #4e555b;
            color: #fff;
        }

.bg-gray-dark {
    background-color: #343a40 !important;
}

    .bg-gray-dark,
    .bg-gray-dark > a {
        color: #fff !important;
    }

        .bg-gray-dark.btn:hover {
            border-color: #1d2124;
            color: #ececec;
        }

        .bg-gray-dark.btn:not(:disabled):not(.disabled):active, .bg-gray-dark.btn:not(:disabled):not(.disabled).active, .bg-gray-dark.btn:active, .bg-gray-dark.btn.active {
            background-color: #1d2124 !important;
            border-color: #171a1d;
            color: #fff;
        }

.smallboxlink {
    text-decoration: none !important;
    color: unset !important;
}

.small-box {
    border-radius: 0.25rem;
    box-shadow: 0 0 1px rgba(0, 0, 0, 0.125), 0 1px 3px rgba(0, 0, 0, 0.2);
    display: block;
    margin-bottom: 20px;
    position: relative;
    text-decoration: none;
}

    .small-box > .inner {
        padding: 10px;
    }

    .small-box > .small-box-footer {
        background-color: rgba(0, 0, 0, 0.1);
        color: rgba(255, 255, 255, 0.8);
        display: block;
        padding: 3px 0;
        position: relative;
        text-align: center;
        text-decoration: none;
        z-index: 10;
    }

        .small-box > .small-box-footer:hover {
            background-color: rgba(0, 0, 0, 0.15);
            color: #fff;
        }

    .small-box h3 {
        font-size: 2.2rem;
        font-weight: 700;
        margin: 0 0 10px;
        padding: 0;
        white-space: nowrap;
    }

@media (min-width: 992px) {
    .col-xl-2 .small-box h3,
    .col-lg-2 .small-box h3,
    .col-md-2 .small-box h3 {
        font-size: 1.6rem;
    }

    .col-xl-3 .small-box h3,
    .col-lg-3 .small-box h3,
    .col-md-3 .small-box h3 {
        font-size: 1.6rem;
    }
}

@media (min-width: 1200px) {
    .col-xl-2 .small-box h3,
    .col-lg-2 .small-box h3,
    .col-md-2 .small-box h3 {
        font-size: 2.2rem;
    }

    .col-xl-3 .small-box h3,
    .col-lg-3 .small-box h3,
    .col-md-3 .small-box h3 {
        font-size: 2.2rem;
    }
}

.small-box p {
    font-size: 1rem;
}

    .small-box p > small {
        color: #f8f9fa;
        display: block;
        font-size: .9rem;
        margin-top: 5px;
    }

.small-box h3,
.small-box p {
    z-index: 5;
}

.small-box .icon {
    color: rgba(0, 0, 0, 0.15);
    z-index: 0;
}

    .small-box .icon > i {
        font-size: 90px;
        position: absolute;
        right: 15px;
        top: 15px;
        transition: -webkit-transform 0.3s linear;
        transition: transform 0.3s linear;
        transition: transform 0.3s linear, -webkit-transform 0.3s linear;
    }

        .small-box .icon > i.fa, .small-box .icon > i.fas, .small-box .icon > i.far, .small-box .icon > i.fab, .small-box .icon > i.fal, .small-box .icon > i.fad, .small-box .icon > i.ion {
            font-size: 70px;
            top: 20px;
        }

    .small-box .icon svg {
        font-size: 70px;
        position: absolute;
        right: 15px;
        top: 15px;
        transition: -webkit-transform 0.3s linear;
        transition: transform 0.3s linear;
        transition: transform 0.3s linear, -webkit-transform 0.3s linear;
    }

.small-box:hover {
    text-decoration: none;
}

    .small-box:hover .icon > i, .small-box:hover .icon > i.fa, .small-box:hover .icon > i.fas, .small-box:hover .icon > i.far, .small-box:hover .icon > i.fab, .small-box:hover .icon > i.fal, .small-box:hover .icon > i.fad, .small-box:hover .icon > i.ion {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }

    .small-box:hover .icon > svg {
        -webkit-transform: scale(1.1);
        transform: scale(1.1);
    }

@media (max-width: 767.98px) {
    .small-box {
        text-align: center;
    }

        .small-box .icon {
            display: none;
        }

        .small-box p {
            font-size: 12px;
        }
}

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.alert-warning, .alert-danger, .alert-success {
    color: white !important;
}

.alert-success {
    background-color: #407648 !important;
    border-color: #407648 !important;
}
/*.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}*/
.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.kpiicon {
    content: url("../img/kpi.png")
}

.kpiiconw {
    content: url("../img/kpi-w.png")
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.b-bar-icon {
    min-width: 25px;
    max-width: 25px;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 2000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.loading-progress {
    position: relative;
    display: block;
    width: 8rem;
    height: 8rem;
    margin: 20vh auto 1rem auto;
}

    .loading-progress circle {
        fill: none;
        stroke: #e0e0e0;
        stroke-width: 0.6rem;
        transform-origin: 50% 50%;
        transform: rotate(-90deg);
    }

        .loading-progress circle:last-child {
            stroke: #1b6ec2;
            stroke-dasharray: calc(3.141 * var(--blazor-load-percentage, 0%) * 0.8), 500%;
            transition: stroke-dasharray 0.05s ease-in-out;
        }

.loading-progress-text {
    position: absolute;
    text-align: center;
    font-weight: bold;
    inset: calc(20vh + 3.25rem) 0 auto 0.2rem;
}

    .loading-progress-text:after {
        content: var(--blazor-load-percentage-text, "Loading");
    }
